#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int brojFrilensera;
    cin>>brojFrilensera;
    //<porez, zarada>
    pair <double, double> frilenseri[brojFrilensera];
    double zaradaDrzave[brojFrilensera];

    for(int i = 0; i < brojFrilensera; i++){
        cin>>frilenseri[i].second>>frilenseri[i].first;
    }
    sort(frilenseri, frilenseri+brojFrilensera);

    double ukupnaZarada = 0;

    for(int i = brojFrilensera-1; i >= 0; i--){
        ukupnaZarada += frilenseri[i].second;
        zaradaDrzave[i] = ukupnaZarada * (frilenseri[i].first/100);
    }


    double maks = -1;
    for(int i = 0; i < brojFrilensera; i++){
        maks = max(maks, zaradaDrzave[i]);
    }
    cout<<fixed<<setprecision(4)<< maks;
    return 0;
}